org.eclipse.oomph.setup.launching

## Class LaunchingPlugin.Implementation

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.emf.common.EMFPlugin.EclipsePlugin
    - - org.eclipse.oomph.setup.launching.LaunchingPlugin.Implementation

- All Implemented Interfaces:
    EMFPlugin.InternalEclipsePlugin, Logger, ResourceLocator, org.osgi.framework.BundleActivator
  Enclosing class:
    LaunchingPlugin

      public static class LaunchingPlugin.Implementation
      extends EMFPlugin.EclipsePlugin

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin

      `helper`

    - ### Fields inherited from class org.eclipse.core.runtime.Plugin

      `PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LaunchingPlugin.Implementation()`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin

      `doGetImage, getBaseURL, getImage, getString, getString, getString, getString, getSymbolicName, log`

    - ### Methods inherited from class org.eclipse.core.runtime.Plugin

      `find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, start, startup, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LaunchingPlugin.Implementation

          public LaunchingPlugin.Implementation()

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html